Commit 5e37f81b0cc3

Vincent Demeester <vincent@sbr.pm>
2020-01-20 14:17:24
chos4: split into two (op-inst)
Signed-off-by: Vincent Demeester <vincent@sbr.pm>
1 parent ab96c2e
Changed files (2)
pkgs
scripts
pkgs/scripts/bin/chos4
@@ -22,36 +22,4 @@ for machineset in $(oc get machineset -n openshift-machine-api -o name); do
     oc scale --replicas=2 ${machineset} -n openshift-machine-api
 done
 
-echo ">>> install tekton in the cluster"
-# This is needed when we want to test a non-released version
-# cat <<EOF | oc apply -f-
-# apiVersion: operators.coreos.com/v1
-# kind: OperatorSource
-# metadata:
-#   name: sthaha-operators
-#   namespace: openshift-marketplace
-# spec:
-#   type: appregistry
-#   endpoint: https://quay.io/cnr
-#   registryNamespace: sthaha
-#   displayName: "Sunil Operators"
-#   publisher: "Sunil Thaha"
-# EOF
-#
-#sleep 10
-
-cat <<EOF | oc apply -f-
-apiVersion: operators.coreos.com/v1alpha1
-kind: Subscription
-metadata:
-  name: pipelines
-  namespace: openshift-operators
-spec:
-  channel: canary
-  name: openshift-pipelines-operator
-  source: community-operators
-  sourceNamespace: openshift-marketplace
-EOF
-
-echo ">>> your cluster is ready :)"
 read
pkgs/scripts/bin/op-inst
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+# Update creds and link to the openshift4 devcluster
+
+set -e
+
+echo ">>> scale machineset to 2"
+for machineset in $(oc get machineset -n openshift-machine-api -o name); do
+    oc scale --replicas=2 ${machineset} -n openshift-machine-api
+done
+
+echo ">>> install tekton in the cluster"
+# This is needed when we want to test a non-released version
+# cat <<EOF | oc apply -f-
+# apiVersion: operators.coreos.com/v1
+# kind: OperatorSource
+# metadata:
+#   name: sthaha-operators
+#   namespace: openshift-marketplace
+# spec:
+#   type: appregistry
+#   endpoint: https://quay.io/cnr
+#   registryNamespace: sthaha
+#   displayName: "Sunil Operators"
+#   publisher: "Sunil Thaha"
+# EOF
+#
+#sleep 10
+
+cat <<EOF | oc apply -f-
+apiVersion: operators.coreos.com/v1alpha1
+kind: Subscription
+metadata:
+  name: pipelines
+  namespace: openshift-operators
+spec:
+  channel: canary
+  name: openshift-pipelines-operator
+  source: community-operators
+  sourceNamespace: openshift-marketplace
+EOF
+
+echo ">>> your cluster is ready :)"
+read